Package twisted :: Package protocols :: Module oscar :: Class OSCARService

[show private | hide private]
[frames | no frames]

## Class OSCARService

    BaseProtocol --+
                   |
            Protocol --+
                       |
         OscarConnection --+
                           |
                   SNACBased --+
                               |
                              OSCARService

Known Subclasses:
  `ChatNavService`, `ChatService`

Method Summary
| `__init__(self, bos, cookie, d)`
| ``clientReady`(self)` called when the client is ready to be online
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made. (inherited from `OscarConnection`)
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `OscarConnection`)
| ``disconnect`(self)` send the disconnect flap, and sever the connection (inherited from `OscarConnection`)
| `oscar_(self, data)` (inherited from `SNACBased`)
| `oscar_01_03(self, snac)` (inherited from `SNACBased`)
| ``oscar_01_0A`(self, snac)` change of rate information. (inherited from `SNACBased`)
| ``oscar_01_18`(self, snac)` host versions, in the same format as we sent (inherited from `SNACBased`)
| `oscar_Data(self, data)` (inherited from `SNACBased`)
| `oscar_unknown(self, snac)` (inherited from `SNACBased`)
| `readFlap(self)` (inherited from `OscarConnection`)
| `sendFLAP(self, data, channel)` (inherited from `OscarConnection`)
| `sendKeepAlive(self)` (inherited from `OscarConnection`)
| ``sendSNAC`(self, fam, sub, data, flags)` send a snac and wait for the response by returning a Deferred. (inherited from `SNACBased`)
| ``sendSNACnr`(self, fam, sub, data, flags)` send a snac, but don't bother adding a deferred, we don't care. (inherited from `SNACBased`)
| `setKeepAlive(self, t)` (inherited from `OscarConnection`)
| `stopKeepAlive(self)` (inherited from `OscarConnection`)

Method Details

### clientReady(self)

called when the client is ready to be online

  Overrides:
    `twisted.protocols.oscar.SNACBased.clientReady` (inherited documentation)

### connectionLost(self, reason)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.protocols.oscar.OscarConnection.connectionLost` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:18:02 2003 | http://epydoc.sf.net